List flows
List flows for an organization.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Return flows that contain the given string in their name. Matched literally, so '-prod' finds the flows whose name ends in '-prod'.
Whether the search_by_name filter is case sensitive. Defaults to true.
The page number of response
x >= 1How many results to return per page. When omitted, all flows are returned as a plain list (no pagination envelope).
1 <= x <= 100Sort field
name, latest_activity Sort direction
asc, desc Filter by space ID. Can be repeated for OR semantics, e.g. space_id=a&space_id=b
Filter by tag key or key:value. Can be repeated, e.g. tag=team or tag=team:platform
Response
Successful Response
- ListFlows · object
- FlowListItemResponse · object[]
Response model for listing flows with pagination.
When pagination is not requested, the endpoint returns a list of flows directly (backwards compatible with the CLI). When pagination is requested, it returns data with optional pagination info.